RAUL 0.8.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Raul::PathTable< T > Class Template Reference
Realtime Audio Utility Library

Table of Paths. More...

`#include <PathTable.hpp>`

Inheritance diagram for Raul::PathTable< T >:
Collaboration diagram for Raul::PathTable< T >:

List of all members.

## Public Member Functions

Table< Path, T >::iterator | find_descendants_end (typename Table< Path, T >::iterator parent)
| Find all descendants of a Path key in the Table.
Table< Path, T >::const_iterator | find_descendants_end (typename Table< Path, T >::const_iterator parent) const

## Detailed Description

### template<typename T>
class Raul::PathTable< T >

Table of Paths.

## Member Function Documentation

template<typename T >

Table<Path, T>::iterator Raul::PathTable< T >::find_descendants_end | ( | typename Table< Path, T >::iterator | parent | ) | `[inline]`

Find all descendants of a Path key in the Table.

It is guaranteed that (parent, parent+1, parent+2, ..., ret-1) are all descendants of parent. The return value is never a descendent of parent, and may be end().

References Raul::Path::descendant_comparator(), and Raul::Table< Path, T >::find_range_end().

The documentation for this class was generated from the following file:

- PathTable.hpp